Description

Supportanfrage

We would like to know more information on function adtf::streaming:ant::ISample::WriteLock

Is there memcpy/memset involved internally?

Lösung

It depends on the current state of the buffer:

Sample has no buffer yet (i.e. first call to WriteLock()): If you specify a size via the szPreAllocateSize parameter the buffer will

be allocated, but left untouched otherwise.

Sample already has a buffer: If you specify a size via the szPreAllocateSize the buffer will be resized to this value. If

szPreAllocateSize is bigger than the current size, a new buffer will allocated and the "old" data will be copied to the new

enlarged buffer.

Basically it behaves exactly like std::vector without the memset in the constructor with the size parameter.

History

#1 - 2022-08-05 13:24 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::SDK

#3 - 2022-08-08 07:35 - hidden

Hi,

it depends on the current state of the buffer:

Sample has no buffer yet (i.e. first call to WriteLock()): If you specify a size via the szPreAllocateSize parameter the buffer will be allocated, but

left untouched otherwise.

Sample already has a buffer: If you specify a size via the szPreAllocateSize the buffer will be resized to this value. If szPreAllocateSize is bigger

than the current size, a new buffer will allocated and the "old" data will be copied to the new enlarged buffer.

Basically it behaves exactly like std::vector without the memset in the constructor with the size parameter.

Regards,

Martin

Regards,

Martin

#4 - 2022-08-09 05:54 - hidden

- Status changed from In Progress to Customer Feedback Required
#6 - 2022-08-16 11:51 - hidden

Hello Vimal,

do you have further questions on this topic, or can this ticket be closed?

Please give us feedback until 18.08.2022

#7 - 2022-08-16 12:54 - hidden

Thanks for the clarification.

The ticket can be closed.

Regards,

Vimal

#8 - 2022-08-17 11:17 - hidden

- Project changed from 9 to Public Support

- Subject changed from Info on adtf::streaming:ant::ISample::WriteLock to Info for adtf::streaming:ant::ISample::WriteLock regarding internal

memcpy/memset usage

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#10 - 2023-02-09 07:58 - hidden

- Status changed from To Be Closed to Closed
